Last Comment Bug 726951 - <canvas> clip with shadowBlur, has vertical offset
: <canvas> clip with shadowBlur, has vertical offset
Status: RESOLVED FIXED
: regression
Product: Core
Classification: Components
Component: Canvas: 2D (show other bugs)
: unspecified
: x86 Windows 7
: -- normal (vote)
: mozilla13
Assigned To: Bas Schouten (:bas.schouten)
:
: Milan Sreckovic [:milan]
Mentors:
Depends on:
Blocks: 666452
  Show dependency treegraph
 
Reported: 2012-02-14 02:37 PST by david berneda
Modified: 2012-02-17 14:30 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-
-


Attachments
canvas_clip_shadow.htm (1010 bytes, text/html)
2012-02-14 02:37 PST, david berneda
no flags Details
Correctly use height to normalize v texture coordinate. (2.76 KB, patch)
2012-02-14 09:55 PST, Bas Schouten (:bas.schouten)
jmuizelaar: review+
Details | Diff | Splinter Review
Test for shadow clips working correctly on non-rectangular canvases (2.10 KB, patch)
2012-02-14 19:37 PST, Bas Schouten (:bas.schouten)
jmuizelaar: review+
Details | Diff | Splinter Review

Description david berneda 2012-02-14 02:37:18 PST
Created attachment 596954 [details]
canvas_clip_shadow.htm

User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/535.7 (KHTML, like Gecko) Chrome/16.0.912.77 Safari/535.7

Steps to reproduce:

Applying a rectangular clip, then drawing content with shadowblur over the clipped rectangle.  See attachment, click the "Clip" checkbox.


Actual results:

The clipped rectangle seems to be vertically offset by a value aprox twice the shadowOffsetY.


Expected results:

Clipped rectangle should respect shadow parameters. When no shadow is applied, clipping works fine.
Comment 1 Alice0775 White 2012-02-14 09:14:07 PST
Confirmed on
http://hg.mozilla.org/mozilla-central/rev/60edf587f4af
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:13.0a1) Gecko/20120214 Firefox/13.0a1 ID:20120214031227

This does not happens on ubuntu
http://hg.mozilla.org/mozilla-central/rev/60edf587f4af
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:13.0a1) Gecko/20120214 Firefox/13.0a1 ID:20120214031227

Regression window(cached m-c)
Works:
http://hg.mozilla.org/mozilla-central/rev/2b9a669880df
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:8.0a1) Gecko/20110713 Firefox/8.0a1 ID:20110713140256
Fails:
http://hg.mozilla.org/mozilla-central/rev/4162bda16a6a
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:8.0a1) Gecko/20110713 Firefox/8.0a1 ID:20110713142700
Pushlog:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=2b9a669880df&tochange=4162bda16a6a


Regression window(cached m-i)
Works:
http://hg.mozilla.org/integration/mozilla-inbound/rev/0f18324ce229
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:8.0a1) Gecko/20110712 Firefox/8.0a1 ID:20110712150650
Fails:
http://hg.mozilla.org/integration/mozilla-inbound/rev/e703f4342489
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:8.0a1) Gecko/20110713 Firefox/8.0a1 ID:20110713010015
Pushlog:
http://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=0f18324ce229&tochange=e703f43
42489

Suspected: Bug 666452
Comment 2 Bas Schouten (:bas.schouten) 2012-02-14 09:55:15 PST
Created attachment 597066 [details] [diff] [review]
Correctly use height to normalize v texture coordinate.
Comment 3 Jeff Muizelaar [:jrmuizel] 2012-02-14 10:24:48 PST
Reftest please
Comment 4 Bas Schouten (:bas.schouten) 2012-02-14 19:37:16 PST
Created attachment 597282 [details] [diff] [review]
Test for shadow clips working correctly on non-rectangular canvases
Comment 5 Jeff Muizelaar [:jrmuizel] 2012-02-15 20:21:54 PST
Comment on attachment 597282 [details] [diff] [review]
Test for shadow clips working correctly on non-rectangular canvases

A better test name like 726951-shadow-clips.html would be nice
Comment 8 Alex Keybl [:akeybl] 2012-02-17 14:26:07 PST
This is a regression from FF8 (according to comment#1), and we have zero dupes, so I don't think this needs to be tracked for FF10 and up. Please nominate for Aurora/Beta approval if you disagree and feel there's ample reason to uplift.
Comment 9 Bas Schouten (:bas.schouten) 2012-02-17 14:30:51 PST
(In reply to Alex Keybl [:akeybl] from comment #8)
> This is a regression from FF8 (according to comment#1), and we have zero
> dupes, so I don't think this needs to be tracked for FF10 and up. Please
> nominate for Aurora/Beta approval if you disagree and feel there's ample
> reason to uplift.

I don't really mind either way, the only reason to uplift this might be that it's -extremely- low-risk.

Note You need to log in before you can comment on or make changes to this bug.